Redmine - Patch #25745

Optimize Gantt Charts for mobile screens
2017-05-03 12:12 - Felix Gliesche

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Ul - Responsive Estimated time: 0.00 hour
Target version: 3.2.7

Description

Once the screens goes below a certain width (~400px) it is impossible to horiziontally scroll the gantt chart area:

2025-05-17

1/4




Gantt

* Filters

# Status open
Add filter
» Options

Z i Zz t
& months from % Zoom in 5 Zoom ou

May 2017 « Apply @ Clear

i save

% Projekt A

| Fehler #1: TEST

| Fehler #2: Bamm

| Fehler #9: A new task!

@ Fehler #3: Bskss

| Fehler #4: Bskss

k| Fehler #7: 343t4

| Fehler #8: Related

| Fehler #5: Bskss

| Fehler #6: Halse

ol Fehler #10: ticket ff mobile
B rehler #13: Thisisanissuewithaverylongtitletha...
B Fehler #14: Neuer subtask

« Previous MNext »

Attached you will find a patch that fixes this problem by setting the column that holds the issues to a width relative to the screen

width, rather than a fixed width on mobile devices.
Associated revisions

Revision 16556 - 2017-05-13 11:35 - Jean-Philippe Lang
Optimize gantt charts for mobile screens (#25745).

Patch by Felix Gliesche.

Revision 16564 - 2017-05-27 09:35 - Jean-Philippe Lang
Merged r16556 (#25745).

Revision 16565 - 2017-05-27 09:36 - Jean-Philippe Lang
Merged r16556 (#25745).

History

#1 - 2017-05-03 12:40 - Felix Gliesche
- File 0001-Optimize-gantt-charts-for-mobile-screens.patch added

This patch applies without whitespace warnings.

#2 - 2017-05-04 08:10 - Go MAEDA

- Target version set to 3.2.7

| confirmed the problem in iOS Emulator. The patch works fine for me.

Setting target version to 3.2.7.

#3 - 2017-05-13 11:35 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#4 - 2017-05-27 09:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed
